Aller au contenu

Les inscriptions d’un événement (identifiants, état, type, entrée — sans données personnelles)

GET
/v1/events/{slug}/registrations
curl --request GET \
--url 'https://api.vimine.network/v1/events/example/registrations?status=reserved' \
--header 'Authorization: Bearer <token>'

Pour le back-office de l’association elle-même (jeton client). Exige une formule qui inclut les listes à l’échelle de l’association (plan_limit sinon).

slug
obligatoire
string
status
string
Valeurs autorisées : reserved confirmed cancelled refunded
limit
integer
>= 1 <= 200
cursor
string

Une page

Type de médiaapplication/json
object
items
Array<object>
object
id
string
status
string
registration_type
string
nullable
membership_id
string
nullable
quantity
integer
checked_in_at
string format : date-time
nullable
created_at
string format : date-time
next_cursor
string
nullable
Exemplegénéré
{
"items": [
{
"id": "example",
"status": "example",
"registration_type": "example",
"membership_id": "example",
"quantity": 1,
"checked_in_at": "2026-04-15T12:00:00Z",
"created_at": "2026-04-15T12:00:00Z"
}
],
"next_cursor": "example"
}

Requête invalide

Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Identifiants manquants ou invalides

Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

plan_limit

Introuvable

Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Limite de débit atteinte

Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Erreur interne

Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}